/* --------------------------------------
/*  Background Color
/* -------------------------------------- */
.bg-white {
  background-color: $white !important;
}

.bg-red {
  background-color: red !important;
}

.bg-green {
  background-color: $green !important;
}

.bg-blue {
  background-color: $blue !important;
}

.bg-grey {
  background-color: #4A4A4A !important;
}

.bg-hot {
  background-color: $hot !important;
}

.bg-active {
  background-color: $active !important;
  fill: $active !important;
}

.bg-inactive {
  background-color: $inactive !important;
  fill: $inactive !important;
}

/* --------------------------------------
/*  Text color
/* -------------------------------------- */
.grey-400 {
  color: #a4a2a2 !important;
}

.stroke-default {
  stroke: $stroke-color;
}

.line-default {
  stroke: $line-color;
}

.rect-default {
  fill: $line-color;
}

.arrow-default {
  fill: $arrow-color;
}

.circle-default {
  fill: $circle-color;
}

.bg-tank {
  fill: $bg-tank;
}

.bg-tank-level {
  fill: $bg-tank-level;
}

.on {
  color: $active;
}

.off {
  color: $black;
}

.trip {
  color: $red;
}

.panel-trip {
  background-color: $red !important;
  color: $white;
}

/* --------------------------------------
/*  Fill Color. Use in the component like pump, valve, line, stirrer and coagulator.
/* -------------------------------------- */
.fill-on {
  fill: $active !important;
}

.fill-off {
  fill: $inactive !important;
}

.fill-trip {
  fill: $red !important;
}

.component.on {
  background-color: $active !important;
  color: $white !important;
}

.component.off {
  background-color: $white !important;
  color: $black !important;
}

.component.off-grey {
  background-color: #4A4A4A !important;
  color: $white !important;
}

.component.trip {
  background-color: $red !important;
  color: $white !important;
}



